Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.content.dynamic
Class ContentWriter

    java.lang.Object
      com.servingxml.components.content.dynamic.ContentWriter

    public final class ContentWriter

extends java.lang.Object

Constructor Summary
`ContentWriter(org.xml.sax.ContentHandler contentHandler)`

Method Summary
`void` | `endElement(java.lang.String namespaceUri, java.lang.String localName)`
`void` | `endPrefixMapping(java.lang.String prefix)`
`org.xml.sax.ContentHandler` | `getContentHandler()`
`void` | `insertElement(java.lang.String namespaceUri, java.lang.String localName, AttributeSet attributes, java.lang.String value)`
`void` | `insertElement(java.lang.String namespaceUri, java.lang.String localName, double value)`
`void` | `insertElement(java.lang.String namespaceUri, java.lang.String localName, float value)`
`void` | `insertElement(java.lang.String namespaceUri, java.lang.String localName, int value)`
`void` | `insertElement(java.lang.String namespaceUri, java.lang.String localName, long value)`
`void` | `insertElement(java.lang.String namespaceUri, java.lang.String localName, java.lang.String value)`
`protected void` | `insertText(java.lang.String value)`
`void` | `insertValue(double value)`
`void` | `insertValue(float value)`
`void` | `insertValue(int value)`
`void` | `insertValue(long value)`
`void` | `insertValue(java.lang.String value)`
`AttributeSet` | `newAttributeSet()`
`void` | `processingInstruction(java.lang.String target, java.lang.String data)`
`void` | `startElement(java.lang.String namespaceUri, java.lang.String localName)`
`void` | `startElement(java.lang.String namespaceUri, java.lang.String localName, AttributeSet attributes)`
`void` | `startEndElement(java.lang.String namespaceUri, java.lang.String localName)`
`void` | `startEndElement(java.lang.String namespaceUri, java.lang.String localName, AttributeSet attributes)`
`void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentWriter

    public ContentWriter(org.xml.sax.ContentHandler contentHandler)

Method Detail

### newAttributeSet

    public AttributeSet newAttributeSet()

### getContentHandler

    public org.xml.sax.ContentHandler getContentHandler()

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)

### startPrefixMapping

    public final void startPrefixMapping(java.lang.String prefix,
                                         java.lang.String uri)

### endPrefixMapping

    public final void endPrefixMapping(java.lang.String prefix)

### startElement

    public final void startElement(java.lang.String namespaceUri,
                                   java.lang.String localName)

### startElement

    public final void startElement(java.lang.String namespaceUri,
                                   java.lang.String localName,
                                   AttributeSet attributes)

### startEndElement

    public final void startEndElement(java.lang.String namespaceUri,
                                      java.lang.String localName)

### startEndElement

    public final void startEndElement(java.lang.String namespaceUri,
                                      java.lang.String localName,
                                      AttributeSet attributes)

### endElement

    public final void endElement(java.lang.String namespaceUri,
                                 java.lang.String localName)

### insertValue

    public final void insertValue(java.lang.String value)

### insertValue

    public final void insertValue(double value)

### insertValue

    public final void insertValue(float value)

### insertValue

    public final void insertValue(int value)

### insertValue

    public final void insertValue(long value)

### insertElement

    public final void insertElement(java.lang.String namespaceUri,
                                    java.lang.String localName,
                                    java.lang.String value)

### insertElement

    public final void insertElement(java.lang.String namespaceUri,
                                    java.lang.String localName,
                                    float value)

### insertElement

    public final void insertElement(java.lang.String namespaceUri,
                                    java.lang.String localName,
                                    double value)

### insertElement

    public final void insertElement(java.lang.String namespaceUri,
                                    java.lang.String localName,
                                    int value)

### insertElement

    public final void insertElement(java.lang.String namespaceUri,
                                    java.lang.String localName,
                                    long value)

### insertElement

    public final void insertElement(java.lang.String namespaceUri,
                                    java.lang.String localName,
                                    AttributeSet attributes,
                                    java.lang.String value)

### insertText

    protected final void insertText(java.lang.String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD